---
title: Update Environment Variables
description: Updates multiple environment variables for a given project. Only the value of each environment variable can be updated.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
related:
  - /docs/api/v2/guides/environment-variables
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Updates multiple environment variables for a given project. Only the value of each environment variable can be updated.

#### `PATCH /v1/projects/{projectId}/env-vars`

> **Deprecated**: v1 environment variables were connected to v0 Projects, which are deprecated. To update environment variables for a chat, see the [Environment Variables guide](/docs/api/v2/guides/environment-variables).

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.projects.updateEnvVars({
  projectId: 'project_abc123',
  environmentVariables: [
    {
      id: 'env_def456',
      value: 'new_value_123',
    },
    {
      id: 'env_ghi789',
      value: 'updated_secret_key',
    },
  ],
})

console.log(result)
```

```bash
curl -X PUT https://api.v0.dev/v1/projects/project_abc123/env-vars   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "environmentVariables": [
      {
        "id": "env_def456",
        "value": "new_value_123"
      },
      {
        "id": "env_ghi789",
        "value": "updated_secret_key"
      }
    ]
  }'
```

## API Signature

### Request

#### Path Parameters

- `projectId: string` The unique identifier of the project whose environment variables should be updated.

#### Query Parameters

- `decrypted?: 'true' | 'false'` Whether to return decrypted values. Defaults to false (encrypted).

#### Body

- `environmentVariables: object[]` An array of environment variables to update with id and value fields.
  - `item: object`
    - `id: string` The unique identifier of the environment variable to update.
    - `value: string` The new value of the environment variable.

### Response

- `object: 'list'`
- `data: object[]`
  - `item: object`
    - `id?: string` A unique identifier for the environment variable.
    - `object?: 'environment_variable'` The object type.
    - `key?: string` The name of the environment variable.
    - `value?: string` The value of the environment variable.
    - `decrypted?: boolean` Whether the value is decrypted or encrypted.
    - `createdAt?: number` The timestamp when the environment variable was created.
    - `updatedAt?: number` The timestamp when the environment variable was last updated.

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)